typedef char flagtype[4];

/*----------------------------------------------------------------------------

Type
  FlagType = Array[1..4] of Byte;
 
  UserRecord = Record    { Used in the USERS.BBS File }
                 Name:               String[35];
                 City:               String[25];
                 Pwd:                String[15];
                 DataPhone,
                 HomePhone:          String[12];
                 LastTime:           String[5];
                 LastDate:           String[8];
                 Attrib:             Byte;
 	              Flags:              FlagType;
                 Credit,
                 Pending,
                 TimesPosted,
                 HighMsgRead,
                 SecLvl,
                 Times,
                 Ups,
                 Downs,
                 UpK,
                 DownK,
                 TodayK,
                 Elapsed,
                 Len:                Integer;
                 ExtraSpace:         Array[1..8] of Byte;
               End;
 
(*  Attrib:
 
      Bit 0: Deleted
      Bit 1: Screen Clear Codes
      Bit 2: More Prompt
      Bit 3: ANSI
      Bit 4: No-Kill
      Bit 5: Ignore Download Hours
      Bit 6: ANSI Full Screen Editor
      Bit 7: [ Reserved ]
 
*)
 

---------------------------------------------------------------------------*/

typedef struct usertype{   /*  used in the users.bbs file  */
	char		name[36];
	char     city[26];
	char     pwd[16];
	char     dataphone[13];
	char		homephone[13];
	char     lasttime[6];
	char     lastdate[9];
	char     attrib;
	flagtype	flags;
	short		credit;
	short		pending;
	short		timesposted;
	short		highmsgread;
	short		seclvl;
	short		times;
	short		ups;
	short		downs;
	short		upk;
	short		downk;
	short		todayk;
	short		elapsed;
	short		len;
	char 		extraspace[8];

} usertype;

/*----------------------------------------------------------------------------

  SysInfoRecord = Record  { Used in the SYSINFO.BBS file }
                    CallCount:    LongInt;
                    LastCaller:   String[35];
                    ExtraSpace:   Array[1..128] of Byte;
                  End;
 

----------------------------------------------------------------------------*/

typedef struct sysinfotype{   /*  used in the sysinfo.bbs file  */

   long         callcount;
   char         lastcaller[36];
   char         extraspace[128];

} sysinfotype;

/*----------------------------------------------------------------------------

  TimeLogRecord = Record  { Used in the TIMELOG.BBS file }
                    StartDate:        String[8];
                    BusyPerHour:      Array[0..23] of Integer;
                    BusyPerDay:       Array[0..6] of Integer;
                  End;
 
----------------------------------------------------------------------------*/

typedef struct timelogtype{   /*  used in the timelog.bbs file  */

   char     startdate[9];
   short    busyperhour[24];
   short    busyperday[7];

} timelogtype;

/*----------------------------------------------------------------------------

  EventRecord = Record  { Part of Configuration Record }
                  Status:       Byte; { 0=Deleted 1=Enabled 2=Disabled }
                  RunTime:      String[5];
                  ErrorLevel:   Byte;
                  Days:         Byte;
                  Forced:       Boolean;
                  LastTimeRun:  String[8];
                End;

----------------------------------------------------------------------------*/

typedef struct eventtype{   /*  part of configuration record  */

   char         status;   /*  0=deleted 1=enabled 2=disabled  */
   char         runtime[6];
   char         errorlevel;
   char         days;
   char         forced;
   char         lasttimerun[9];

} eventtype;

/*----------------------------------------------------------------------------

  ExitRecord = Record  { Used for the EXITINFO.BBS file }
                 BaudRate:        Integer;
                 SysInfo:         SysInfoRecord;
                 TimeLogInfo:     TimeLogRecord;
                 UserInfo:        UserRecord;
                 EventInfo:       EventRecord;
                 NetMailEntered:  Boolean;
                 EchoMailEntered: Boolean;
                 LoginTime:       String[5];
                 LoginDate:       String[8];
                 TmLimit:         Integer;
                 LoginSec:        LongInt;
                 Credit:          LongInt;
                 UserRecNum:      Integer;
                 ReadThru:        Integer;
                 PageTimes:       Integer;
                 DownLimit:       Integer;
               End;

----------------------------------------------------------------------------*/

typedef struct exittype{   /*  used for the exitinfo.bbs file  */

	short        baudrate;
	sysinfotype	 sysinfo;
	timelogtype	 timelog;
	usertype     user;
	eventtype    event;
	char         netmailentered;
	char         echomailentered;
	char         logintime[6];
	char         logindate[9];
	short        tmlimit;
	long         loginsec;
	long         credit;
	short        userrecnum;
	short        readthru;
	short        pagetimes;
	short        downlimit;

} exittype;
 
